Bug 174434 - multimedia/cheese: fix build with clang
Summary: multimedia/cheese: fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 14:00 UTC by Ruslan Makhmatkhanov
Modified: 2013-02-08 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.60 KB, patch)
2012-12-14 14:00 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2012-12-14 14:00:00 UTC
cheese-camera-device-monitor.c:109:5: error: non-void function 'cheese_camera_device_monitor_handle_udi' should return a value [-Wreturn-type]
    return;

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-14 14:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2013-02-08 20:14:55 UTC
State Changed
From-To: open->closed

Committed thanks!
Comment 3 dfilter service freebsd_committer 2013-02-08 20:15:02 UTC
Author: kwm
Date: Fri Feb  8 20:14:49 2013
New Revision: 311951
URL: http://svnweb.freebsd.org/changeset/ports/311951

Log:
  Fix build with clang.
  
  PR:		ports/174434
  Submitted by:	rm@

Modified:
  head/multimedia/cheese/files/patch-libcheese_cheese-camera-device-monitor.c

Modified: head/multimedia/cheese/files/patch-libcheese_cheese-camera-device-monitor.c
==============================================================================
--- head/multimedia/cheese/files/patch-libcheese_cheese-camera-device-monitor.c	Fri Feb  8 19:18:40 2013	(r311950)
+++ head/multimedia/cheese/files/patch-libcheese_cheese-camera-device-monitor.c	Fri Feb  8 20:14:49 2013	(r311951)
@@ -1,5 +1,5 @@
---- libcheese/cheese-camera-device-monitor.c.orig	2010-08-16 23:00:43.000000000 +0200
-+++ libcheese/cheese-camera-device-monitor.c	2010-08-18 09:51:48.000000000 +0200
+--- libcheese/cheese-camera-device-monitor.c.orig	2010-09-27 09:54:58.000000000 +0000
++++ libcheese/cheese-camera-device-monitor.c	2013-02-08 19:52:15.000000000 +0000
 @@ -24,24 +24,11 @@
  #endif
  
@@ -54,12 +54,12 @@
  } CheeseCameraDeviceMonitorPrivate;
  
  enum
-@@ -102,111 +87,77 @@ cheese_camera_device_monitor_error_quark
+@@ -102,111 +87,78 @@ cheese_camera_device_monitor_error_quark
    return g_quark_from_static_string ("cheese-camera-error-quark");
  }
  
 -#ifdef HAVE_UDEV
--static void
+ static void
 -cheese_camera_device_monitor_added (CheeseCameraDeviceMonitor *monitor,
 -                                    GUdevDevice               *udevice)
 +cheese_camera_device_monitor_handle_udi (CheeseCameraDeviceMonitor *monitor,
@@ -210,7 +210,7 @@
  }
  
  /**
-@@ -222,115 +173,85 @@ void
+@@ -222,115 +174,85 @@ void
  cheese_camera_device_monitor_coldplug (CheeseCameraDeviceMonitor *monitor)
  {
    CheeseCameraDeviceMonitorPrivate *priv = CHEESE_CAMERA_DEVICE_MONITOR_GET_PRIVATE (monitor);
@@ -375,7 +375,7 @@
    G_OBJECT_CLASS (cheese_camera_device_monitor_parent_class)->finalize (object);
  }
  
-@@ -385,14 +306,52 @@ cheese_camera_device_monitor_class_init 
+@@ -385,14 +307,52 @@ cheese_camera_device_monitor_class_init 
  static void
  cheese_camera_device_monitor_init (CheeseCameraDeviceMonitor *monitor)
  {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"